package com.kingdee.eas.custom.handover;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWorkHandoverEntryInfo extends com.kingdee.eas.hr.base.HRBillBaseEntryInfo implements Serializable 
{
    public AbstractWorkHandoverEntryInfo()
    {
        this("id");
    }
    protected AbstractWorkHandoverEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.handover.WorkHandoverInfo getParent()
    {
        return (com.kingdee.eas.custom.handover.WorkHandoverInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.handover.WorkHandoverInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getPerson()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("person");
    }
    public void setPerson(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("person", item);
    }
    /**
     * Object: 分录 's 组织 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getAdminOrg()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("adminOrg");
    }
    public void setAdminOrg(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("adminOrg", item);
    }
    /**
     * Object: 分录 's 工作接收人1 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getWorkReceiver1()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("workReceiver1");
    }
    public void setWorkReceiver1(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("workReceiver1", item);
    }
    /**
     * Object: 分录 's 工作接收人2 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getWorkReceiver2()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("workReceiver2");
    }
    public void setWorkReceiver2(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("workReceiver2", item);
    }
    /**
     * Object: 分录 's 工作接收人3 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getWorkReceiver3()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("workReceiver3");
    }
    public void setWorkReceiver3(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("workReceiver3", item);
    }
    /**
     * Object: 分录 's 审批权限交接人 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getApproverHandover()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("approverHandover");
    }
    public void setApproverHandover(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("approverHandover", item);
    }
    /**
     * Object:分录's 交接清单property 
     */
    public String getHandoverChecklist()
    {
        return getString("handoverChecklist");
    }
    public void setHandoverChecklist(String item)
    {
        setString("handoverChecklist", item);
    }
    /**
     * Object:分录's 纸质文件清单property 
     */
    public String getPaperFileList()
    {
        return getString("paperFileList");
    }
    public void setPaperFileList(String item)
    {
        setString("paperFileList", item);
    }
    /**
     * Object:分录's 电脑文件清单property 
     */
    public String getDigitalFileList()
    {
        return getString("digitalFileList");
    }
    public void setDigitalFileList(String item)
    {
        setString("digitalFileList", item);
    }
    /**
     * Object:分录's 填报工时property 
     */
    public String getWorkHourFilling()
    {
        return getString("workHourFilling");
    }
    public void setWorkHourFilling(String item)
    {
        setString("workHourFilling", item);
    }
    /**
     * Object:分录's 仓库物品property 
     */
    public String getWarehouseItems()
    {
        return getString("warehouseItems");
    }
    public void setWarehouseItems(String item)
    {
        setString("warehouseItems", item);
    }
    /**
     * Object:分录's 行政物品交接property 
     */
    public String getAdminItemsHandover()
    {
        return getString("adminItemsHandover");
    }
    public void setAdminItemsHandover(String item)
    {
        setString("adminItemsHandover", item);
    }
    /**
     * Object:分录's 水电property 
     */
    public String getUtilities()
    {
        return getString("utilities");
    }
    public void setUtilities(String item)
    {
        setString("utilities", item);
    }
    /**
     * Object:分录's 奖金property 
     */
    public String getBonus()
    {
        return getString("bonus");
    }
    public void setBonus(String item)
    {
        setString("bonus", item);
    }
    /**
     * Object:分录's 罚款property 
     */
    public String getPenalty()
    {
        return getString("penalty");
    }
    public void setPenalty(String item)
    {
        setString("penalty", item);
    }
    /**
     * Object:分录's 工资property 
     */
    public String getSalary()
    {
        return getString("salary");
    }
    public void setSalary(String item)
    {
        setString("salary", item);
    }
    /**
     * Object:分录's 借款property 
     */
    public String getLoan()
    {
        return getString("loan");
    }
    public void setLoan(String item)
    {
        setString("loan", item);
    }
    /**
     * Object:分录's 费用property 
     */
    public String getExpense()
    {
        return getString("expense");
    }
    public void setExpense(String item)
    {
        setString("expense", item);
    }
    /**
     * Object:分录's 其他property 
     */
    public String getOther()
    {
        return getString("other");
    }
    public void setOther(String item)
    {
        setString("other", item);
    }
    /**
     * Object:分录's 餐费核算property 
     */
    public String getMealSettlement()
    {
        return getString("mealSettlement");
    }
    public void setMealSettlement(String item)
    {
        setString("mealSettlement", item);
    }
    /**
     * Object:分录's 离职单分录property 
     */
    public String getResignBizBillEntryId()
    {
        return getString("resignBizBillEntryId");
    }
    public void setResignBizBillEntryId(String item)
    {
        setString("resignBizBillEntryId", item);
    }
    /**
     * Object:分录's 离职年property 
     */
    public int getResignYear()
    {
        return getInt("resignYear");
    }
    public void setResignYear(int item)
    {
        setInt("resignYear", item);
    }
    /**
     * Object:分录's 离职月property 
     */
    public int getResignMonth()
    {
        return getInt("resignMonth");
    }
    public void setResignMonth(int item)
    {
        setInt("resignMonth", item);
    }
    /**
     * Object:分录's 离职日property 
     */
    public int getResignDay()
    {
        return getInt("resignDay");
    }
    public void setResignDay(int item)
    {
        setInt("resignDay", item);
    }
    /**
     * Object: 分录 's 离职单 property 
     */
    public com.kingdee.eas.hr.affair.ResignBizBillInfo getResignBizBill()
    {
        return (com.kingdee.eas.hr.affair.ResignBizBillInfo)get("resignBizBill");
    }
    public void setResignBizBill(com.kingdee.eas.hr.affair.ResignBizBillInfo item)
    {
        put("resignBizBill", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("00E0263E");
    }
}